using GolfComp.Views;
using System;
using System.Collections.Generic;
using System.IO;
using System.Linq;
using System.Runtime.InteropServices.WindowsRuntime;
using Windows.Foundation;
using Windows.Foundation.Collections;
using Windows.UI.Xaml;
using Windows.UI.Xaml.Controls;
using Windows.UI.Xaml.Controls.Primitives;
using Windows.UI.Xaml.Data;
using Windows.UI.Xaml.Input;
using Windows.UI.Xaml.Media;
using Windows.UI.Xaml.Navigation;
using DataAccessLibrary.DataAccess;
using DataAccessLibrary.Models;

// The Blank Page item template is documented at https://go.microsoft.com/fwlink/?LinkId=402352&clcid=0x409

namespace GolfComp
{
    /// <summary>
    /// An empty page that can be used on its own or navigated to within a Frame.
    /// </summary>
    public sealed partial class MainPage : Page
    {
        public MainPage()
        {
            this.InitializeComponent();
        }

        private void NavigationViewLoaded(object sender, RoutedEventArgs e)
        {
            ContentFrame.Navigate(typeof(HomePage));
        }

        private void NavigationViewSelectionChanged(NavigationView sender, NavigationViewSelectionChangedEventArgs args)
        {
            if (args.IsSettingsSelected)
            {
                //TODO--code voor settings hier
            }
            else
            {
                NavigationViewItem item = args.SelectedItem as NavigationViewItem;

                switch (item.Tag.ToString())
                {
                    case "home":
                        ContentFrame.Navigate(typeof(HomePage));
                        break;
                    case "clubs":
                        ContentFrame.Navigate(typeof(GolfclubListPage));
                        break;
                    case "competitie":
                        ContentFrame.Navigate(typeof(KlasseListPage));
                        break;
                    case "spelers":
                        ContentFrame.Navigate(typeof(SpelerListpage));
                        break;
                    case "teams":
                        ContentFrame.Navigate(typeof(TeamListPage));
                        break;
                    case "wedstrijden":
                        ContentFrame.Navigate(typeof(WedstrijdListPage));
                        break;
                    case "coach":
                        ContentFrame.Navigate(typeof(CoachListPage));
                        break;

                }
            }
        }
    }
}
